<?php include('casa/setup.casa.php');
$codigo = $_POST['codigo'];
$UbicacionID = $_POST['UbicacionID'];

$Items = new DB();
$sqlItems = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$codigo';";
$Items->dbSQL($sqlItems);
$Items->next();
	$itemComprobar = $Items->dbField('prod_item');

$sql = "SELECT * FROM inventarios_productos p, inventarios_ubicaciones u
WHERE p.prod_item = '$itemComprobar'
AND p.prod_estado = '1'
AND p.ubica_codigo = u.ubica_codigo
AND p.ubica_codigo = '$UbicacionID';";		

$db= new DB();
$Corregir = new DB();

$db->dbSQL($sql);
$html='';

$sumar_prod_piezascaja = 0;	
$sumar_prod_cantidadcajas = 0;	
$sumar_prod_unidadesreal = 0;

$sqlBorrar='';

while($db->next()){										
	$prod_id = $db->dbField('prod_id');	
	$ubica_codigo = $db->dbField('ubica_codigo');	
	$prod_item = $db->dbField('prod_item');	
	$prod_codigo = $db->dbField('prod_codigo');	
	$prod_traspaso = $db->dbField('prod_traspaso');	
	$prod_nombre = $db->dbField('prod_nombre');
	$prod_foto = $db->dbField('prod_foto');	
	$prod_piezascaja = $db->dbField('prod_piezascaja');	
	$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');	
	$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
	$prod_preciounitario = $db->dbField('prod_preciounitario');	
	$prod_preciodocena = $db->dbField('prod_preciodocena');	
	$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');	
	$prod_observaciones = $db->dbField('prod_observaciones');	

	$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;		

	//$sumar_prod_piezascaja += $prod_piezascaja;	
	$sumar_prod_cantidadcajas += $CantidadRealCajas;	
	$sumar_prod_unidadesreal += $prod_unidadesreal;	

	//Borrar todos los items repetidos
	$sqlBorrar= "DELETE FROM inventarios_productos WHERE prod_id = '$prod_id';";		
	$Corregir->dbSQL($sqlBorrar);
}//wend() 
//Crear nuevo producto con los items sumados
$sqlNuevo = "INSERT INTO inventarios_productos(	
	ubica_codigo,prod_item,prod_codigo,
	prod_traspaso,prod_nombre,prod_foto,
	prod_piezascaja,prod_cantidadcajas,prod_unidadesreal,
	prod_preciounitario,prod_preciodocena,prod_preciocajadocena
)VALUES(
	'$ubica_codigo','$prod_item','$prod_codigo',
	'suma-items','$prod_nombre','$prod_foto',
	'$prod_piezascaja','$sumar_prod_cantidadcajas','$sumar_prod_unidadesreal',
	'$prod_preciounitario','$prod_preciodocena','$prod_preciocajadocena'	
);";
$Corregir->dbSQL($sqlNuevo);

$html = "<script>self.location='".PATH_HOME."duplicidad-cajeros/revisar';</script>";
echo $html;
?>	